Bug 967335 - Review Request: rubygem-dotenv - Loads environment variables from `.env`
Review Request: rubygem-dotenv - Loads environment variables from `.env`
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 13:23 EDT by Anuj More
Modified: 2013-09-08 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-dotenv-0.8.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-08 19:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anuj More 2013-05-26 13:23:50 EDT
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-dotenv/rubygem-dotenv.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-dotenv/rubygem-dotenv-0.7.0-1.fc19.src.rpm
Description: Loads environment variables from `.env`
Fedora Account System Username: anujmore
Comment 1 Anuj More 2013-05-26 13:34:19 EDT
Builds on mock: https://raw.github.com/execat/Packages/master/rpmspecs/rubygem-dotenv/mock
rpmlint does not complain: 
rubygem-dotenv.noarch: W: spelling-error Summary(en_US) env -> enc, en, envy
rubygem-dotenv.noarch: W: spelling-error %description -l en_US env -> enc, en, envy
rubygem-dotenv.src: W: spelling-error Summary(en_US) env -> enc, en, envy
rubygem-dotenv.src: W: spelling-error %description -l en_US env -> enc, en, envy
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Nothing wrong with "env".
Comment 2 Vít Ondruch 2013-06-11 01:25:16 EDT
I'll take this for a review.
Comment 3 Vít Ondruch 2013-06-11 01:52:57 EDT
* Run the test suite in .%{gem_instdir}
  - Could you please run the test suite on installed gem, i.e. inside
    .%{gem_instdir}. If the gem is binary, you would be missing the compiled
    extension.

* Keep .gemspec, Gemfile, Guardfile and Rakefile in -doc subpackage
  - This is up to you, but I would keep these files in -doc subpackage.
  - Alternatively, you could suggest upstream to drop them from the package,
    since they are not overly useful in distributed gem.
  - Actually, since we are there, I would question upstream about purpose of
    dotenv-rails.gemspec and the file lib/dotenv-rails. It seems that this
    should not be included at all?

Neither of these are blockers, so I APPROVE the package. However, please consider to fix this nits prior importing this package into Fedora.
Comment 4 Anuj More 2013-08-04 03:01:22 EDT
Package Name: rubygem-dotenv
Short Description: Loads environment variables from `.env`
Owners: anujmore axilleas
Branches: f19
Comment 5 Anuj More 2013-08-04 03:12:35 EDT
New Package SCM Request
=======================
Package Name: rubygem-dotenv
Short Description: Loads environment variables from `.env`
Owners: anujmore axilleas
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-05 08:21:57 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-31 02:51:40 EDT
rubygem-dotenv-0.8.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-dotenv-0.8.0-2.fc19
Comment 8 Fedora Update System 2013-08-31 19:56:35 EDT
rubygem-dotenv-0.8.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-09-08 19:27:36 EDT
rubygem-dotenv-0.8.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.